Subject: [MOBILE-IP] IPv4 Dynamic addressing and SPIs

From: Marcello Lioy <[email-masked]>
Date: Mon, 8 Jan 2001 10:34:31 -0800

I have a couple of questions about Mobile IPv4.

1) The new NAI extension (RFC 2794) allows a Mobile node to receive a
dynamically allocated home address.  My question is how does this work for
a mobile that needs an address but comes up in it's home network?  In this
case is should send a deregistration with a lifetime of zero (it is after
all at home) with the home address field set to 0 - is this correct?  If so
would it be assigned an address via the registration reply?

2) How does one determine the SPI to use in M.IPv4 registration
messages?  Is this some value that is agreed upon by the Home Agent and the
Mobile Node?  Are there any assigned numbers related to this?

Answers would be most appreciated.

------------------------------------------------------------------
Marcello Lioy                                 Voice: (858)651-8220
Qualcomm Inc.                                 PGR:   (858)635-0867